Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(8)

Issue 2056183002: Implement the `require-sri-for` CSP directive (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
11 months, 2 weeks ago by Sergey Shekyan
Modified:
10 months, 1 week ago
Reviewers:
jww, Mike West
CC:
blink-reviews, chromium-reviews, gavinp+loader_chromium.org, Nate Chapin, loading-reviews_chromium.org, loading-reviews+fetch_chromium.org, mkwst+watchlist-csp_chromium.org, tyoshino+watch_chromium.org, Yoav Weiss
Base URL:
https://chromium.googlesource.com/chromium/src.git@master
Target Ref:
refs/pending/heads/master
Project:
chromium
Visibility:
Public.

Description

Implement the `require-sri-for` CSP directive As defined in [1], this CSP directive allows developers to block resource requests that do not contain integrity metadata. This includes contexts like external scripts, workers, shared workers, service workers, external stylesheets, preload requests, and requests originated by CSS @import. [1]: https://w3c.github.io/webappsec-subresource-integrity/#opt-in-require-sri-for Intent to implement: https://groups.google.com/a/chromium.org/forum/#!msg/blink-dev/jyCdW1dHyYA/YefRSKs1AQAJ BUG=618924 R=mkwst@chromium.org Committed: https://crrev.com/615df311feca979548acd4f73ce3d7ac34449e3a Cr-Commit-Position: refs/heads/master@{#405530}

Patch Set 1 #

Total comments: 26

Patch Set 2 : Addressed comments except those related to Layout Tests #

Total comments: 8

Patch Set 3 : addressed comments #

Total comments: 13

Patch Set 4 : Adressing comments #

Patch Set 5 : Set integrity metadata to request before allowRequest() is invoked #

Patch Set 6 : Set integrity metadata to stylesheet request before allowRequest() is invoked #

Total comments: 3

Patch Set 7 : Addressing comments #

Patch Set 8 : more tests and fix for CSPDirectiveList tests #

Patch Set 9 : Cover worker, share worker and service worker with require-sri-for #

Total comments: 2

Patch Set 10 : Addressing comments #

Patch Set 11 : Do not use `require-sri-for` with empty values in tests #

Patch Set 12 : Added SVG script test #

Patch Set 13 : Updated tests #

Patch Set 14 : Updated tests #

Total comments: 2

Patch Set 15 : Addressed comments #

Total comments: 3

Patch Set 16 : Addressed comments #

Patch Set 17 : Updated tests #

Unified diffs Side-by-side diffs Delta from patch set Stats (+853 lines, -20 lines) Patch
A third_party/WebKit/LayoutTests/http/tests/security/contentSecurityPolicy/require-sri-for/not-ran.js View 1 2 1 chunk +1 line, -0 lines 0 comments Download
A third_party/WebKit/LayoutTests/http/tests/security/contentSecurityPolicy/require-sri-for/ran.js View 1 2 1 chunk +1 line, -0 lines 0 comments Download
A third_party/WebKit/LayoutTests/http/tests/security/contentSecurityPolicy/require-sri-for/require-sri-for-script-allowed.php View 1 2 3 4 5 6 7 8 9 10 11 12 1 chunk +13 lines, -0 lines 0 comments Download
A third_party/WebKit/LayoutTests/http/tests/security/contentSecurityPolicy/require-sri-for/require-sri-for-script-allowed-meta.html View 1 2 3 4 5 6 7 8 9 10 11 12 1 chunk +13 lines, -0 lines 0 comments Download
A third_party/WebKit/LayoutTests/http/tests/security/contentSecurityPolicy/require-sri-for/require-sri-for-script-blocked.php View 1 2 3 4 5 6 7 8 9 10 11 12 1 chunk +23 lines, -0 lines 0 comments Download
A third_party/WebKit/LayoutTests/http/tests/security/contentSecurityPolicy/require-sri-for/require-sri-for-script-blocked-meta.html View 1 2 3 4 5 6 7 8 9 10 11 12 1 chunk +23 lines, -0 lines 0 comments Download
A third_party/WebKit/LayoutTests/http/tests/security/contentSecurityPolicy/require-sri-for/require-sri-for-script-preload-allowed.php View 1 2 3 4 5 6 7 8 9 10 11 12 1 chunk +21 lines, -0 lines 0 comments Download
A third_party/WebKit/LayoutTests/http/tests/security/contentSecurityPolicy/require-sri-for/require-sri-for-script-preload-blocked.php View 1 2 3 4 5 6 7 8 9 10 11 12 1 chunk +20 lines, -0 lines 0 comments Download
A third_party/WebKit/LayoutTests/http/tests/security/contentSecurityPolicy/require-sri-for/require-sri-for-script-reportonly-allowed.php View 1 2 3 4 5 6 7 8 9 10 11 12 1 chunk +14 lines, -0 lines 0 comments Download
A third_party/WebKit/LayoutTests/http/tests/security/contentSecurityPolicy/require-sri-for/require-sri-for-script-reportonly-blocked.php View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 1 chunk +27 lines, -0 lines 0 comments Download
A third_party/WebKit/LayoutTests/http/tests/security/contentSecurityPolicy/require-sri-for/require-sri-for-serviceworker-blocked.php View 1 2 3 4 5 6 7 8 9 10 11 12 1 chunk +12 lines, -0 lines 0 comments Download
A third_party/WebKit/LayoutTests/http/tests/security/contentSecurityPolicy/require-sri-for/require-sri-for-sharedworker-allowed.php View 1 2 3 4 5 6 7 8 9 10 11 12 1 chunk +15 lines, -0 lines 0 comments Download
A third_party/WebKit/LayoutTests/http/tests/security/contentSecurityPolicy/require-sri-for/require-sri-for-sharedworker-blocked.php View 1 2 3 4 5 6 7 8 9 10 11 12 13 1 chunk +13 lines, -0 lines 0 comments Download
A third_party/WebKit/LayoutTests/http/tests/security/contentSecurityPolicy/require-sri-for/require-sri-for-style-allowed.php View 1 2 3 4 5 6 1 chunk +16 lines, -0 lines 0 comments Download
A third_party/WebKit/LayoutTests/http/tests/security/contentSecurityPolicy/require-sri-for/require-sri-for-style-blocked.php View 1 2 3 4 5 6 1 chunk +25 lines, -0 lines 0 comments Download
A third_party/WebKit/LayoutTests/http/tests/security/contentSecurityPolicy/require-sri-for/require-sri-for-style-import-blocked.php View 1 2 3 4 5 6 1 chunk +25 lines, -0 lines 0 comments Download
A third_party/WebKit/LayoutTests/http/tests/security/contentSecurityPolicy/require-sri-for/require-sri-for-style-preload-allowed.php View 1 2 3 4 5 6 7 8 9 10 11 12 1 chunk +23 lines, -0 lines 0 comments Download
A third_party/WebKit/LayoutTests/http/tests/security/contentSecurityPolicy/require-sri-for/require-sri-for-style-preload-blocked.php View 1 2 3 4 5 6 1 chunk +25 lines, -0 lines 0 comments Download
A third_party/WebKit/LayoutTests/http/tests/security/contentSecurityPolicy/require-sri-for/require-sri-for-style-reportonly-allowed.php View 1 2 3 4 5 6 1 chunk +28 lines, -0 lines 0 comments Download
A third_party/WebKit/LayoutTests/http/tests/security/contentSecurityPolicy/require-sri-for/require-sri-for-style-reportonly-blocked.php View 1 2 3 4 5 6 1 chunk +26 lines, -0 lines 0 comments Download
A third_party/WebKit/LayoutTests/http/tests/security/contentSecurityPolicy/require-sri-for/require-sri-for-svg-script-blocked.php View 1 2 3 4 5 6 7 8 9 10 11 12 1 chunk +26 lines, -0 lines 0 comments Download
A third_party/WebKit/LayoutTests/http/tests/security/contentSecurityPolicy/require-sri-for/require-sri-for-worker-allowed.php View 1 2 3 4 5 6 7 8 9 10 11 12 1 chunk +15 lines, -0 lines 0 comments Download
A third_party/WebKit/LayoutTests/http/tests/security/contentSecurityPolicy/require-sri-for/require-sri-for-worker-blocked.php View 1 2 3 4 5 6 7 8 9 10 11 12 13 1 chunk +17 lines, -0 lines 0 comments Download
A third_party/WebKit/LayoutTests/http/tests/security/contentSecurityPolicy/require-sri-for/require-sri-for-worker-fromblob-allowed.php View 1 2 3 4 5 6 7 8 9 10 11 12 1 chunk +15 lines, -0 lines 0 comments Download
A third_party/WebKit/LayoutTests/http/tests/security/contentSecurityPolicy/require-sri-for/require-sri-for-worker-fromblob-blocked.php View 1 2 3 4 5 6 7 8 9 10 11 12 1 chunk +18 lines, -0 lines 0 comments Download
A + third_party/WebKit/LayoutTests/http/tests/security/contentSecurityPolicy/require-sri-for/sri-sharedworker.js View 1 2 3 4 5 6 7 8 1 chunk +3 lines, -2 lines 0 comments Download
A third_party/WebKit/LayoutTests/http/tests/security/contentSecurityPolicy/require-sri-for/sri-worker.js View 1 2 3 4 5 6 7 1 chunk +1 line, -0 lines 0 comments Download
M third_party/WebKit/Source/core/fetch/FetchRequest.h View 2 chunks +2 lines, -3 lines 0 comments Download
M third_party/WebKit/Source/core/fetch/ResourceLoaderOptions.h View 5 chunks +5 lines, -0 lines 0 comments Download
M third_party/WebKit/Source/core/frame/csp/CSPDirectiveList.h View 1 2 6 chunks +14 lines, -0 lines 0 comments Download
M third_party/WebKit/Source/core/frame/csp/CSPDirectiveList.cpp View 1 2 3 4 5 6 7 8 4 chunks +114 lines, -0 lines 0 comments Download
M third_party/WebKit/Source/core/frame/csp/CSPDirectiveListTest.cpp View 1 2 3 4 5 6 7 1 chunk +77 lines, -0 lines 0 comments Download
M third_party/WebKit/Source/core/frame/csp/ContentSecurityPolicy.h View 1 3 chunks +7 lines, -1 line 0 comments Download
M third_party/WebKit/Source/core/frame/csp/ContentSecurityPolicy.cpp View 1 2 6 chunks +26 lines, -2 lines 0 comments Download
M third_party/WebKit/Source/core/frame/csp/ContentSecurityPolicyTest.cpp View 1 2 3 4 5 6 3 chunks +132 lines, -5 lines 0 comments Download
M third_party/WebKit/Source/core/html/HTMLLinkElement.cpp View 1 2 3 4 1 chunk +7 lines, -0 lines 0 comments Download
M third_party/WebKit/Source/core/loader/FrameFetchContext.cpp View 1 chunk +1 line, -1 line 0 comments Download
M third_party/WebKit/Source/core/workers/AbstractWorker.h View 1 2 3 4 5 6 7 8 1 chunk +1 line, -1 line 0 comments Download
M third_party/WebKit/Source/core/workers/AbstractWorker.cpp View 1 2 3 4 5 6 7 8 2 chunks +4 lines, -2 lines 0 comments Download
M third_party/WebKit/Source/core/workers/InProcessWorkerBase.cpp View 1 2 3 4 5 6 7 8 9 1 chunk +2 lines, -1 line 0 comments Download
M third_party/WebKit/Source/core/workers/SharedWorker.cpp View 1 2 3 4 5 6 7 8 1 chunk +1 line, -1 line 0 comments Download
M third_party/WebKit/Source/modules/serviceworkers/ServiceWorkerContainer.cpp View 1 2 3 4 5 6 7 8 1 chunk +1 line, -1 line 0 comments Download
Commit queue not available (can’t edit this change).

Messages

Total messages: 115 (48 generated)
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/2056183002/1
11 months, 2 weeks ago (2016-06-10 07:01:23 UTC) #2
commit-bot: I haz the power
No L-G-T-M from a valid reviewer yet. CQ run can only be started by full ...
11 months, 2 weeks ago (2016-06-10 07:01:24 UTC) #4
commit-bot: I haz the power
Dry run: CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/2056183002/1
11 months, 2 weeks ago (2016-06-10 08:45:57 UTC) #6
commit-bot: I haz the power
Dry run: Try jobs failed on following builders: ios-simulator on tryserver.chromium.mac (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.mac/builders/ios-simulator/builds/19384) ios-simulator-gn on ...
11 months, 2 weeks ago (2016-06-10 08:47:41 UTC) #8
Mike West
I added a first set of comments. The tests are a good start, but I've ...
11 months, 2 weeks ago (2016-06-10 09:25:15 UTC) #10
jww
Thanks for starting this, Sergey! I've added a few comments on top of Mike's. https://codereview.chromium.org/2056183002/diff/1/third_party/WebKit/LayoutTests/http/tests/security/contentSecurityPolicy/require-sri-for-script-allowed.html ...
11 months, 2 weeks ago (2016-06-11 22:45:12 UTC) #11
Sergey Shekyan
On 2016/06/11 22:45:12, jww wrote: > Thanks for starting this, Sergey! I've added a few ...
11 months, 2 weeks ago (2016-06-11 23:32:28 UTC) #12
jww
On 2016/06/11 23:32:28, shekyan wrote: > On 2016/06/11 22:45:12, jww wrote: > > Thanks for ...
11 months, 2 weeks ago (2016-06-12 16:38:22 UTC) #13
Sergey Shekyan
On 2016/06/12 16:38:22, jww wrote: > On 2016/06/11 23:32:28, shekyan wrote: > > On 2016/06/11 ...
11 months ago (2016-06-20 05:43:00 UTC) #14
Sergey Shekyan
https://codereview.chromium.org/2056183002/diff/1/third_party/WebKit/Source/core/frame/csp/CSPDirectiveList.cpp File third_party/WebKit/Source/core/frame/csp/CSPDirectiveList.cpp (right): https://codereview.chromium.org/2056183002/diff/1/third_party/WebKit/Source/core/frame/csp/CSPDirectiveList.cpp#newcode205 third_party/WebKit/Source/core/frame/csp/CSPDirectiveList.cpp:205: if (context == WebURLRequest::RequestContextScript || context == WebURLRequest::RequestContextImport) On ...
11 months ago (2016-06-20 07:12:00 UTC) #15
Mike West
On 2016/06/20 at 05:43:00, shekyan wrote: > Folks, how do I run testharness tests? Just ...
11 months ago (2016-06-20 08:00:25 UTC) #16
Mike West
Looking pretty good. Comments inline, and there's still outstanding work from the last round of ...
11 months ago (2016-06-20 08:11:37 UTC) #17
Sergey Shekyan
https://codereview.chromium.org/2056183002/diff/20001/third_party/WebKit/Source/core/frame/csp/CSPDirectiveList.cpp File third_party/WebKit/Source/core/frame/csp/CSPDirectiveList.cpp (right): https://codereview.chromium.org/2056183002/diff/20001/third_party/WebKit/Source/core/frame/csp/CSPDirectiveList.cpp#newcode179 third_party/WebKit/Source/core/frame/csp/CSPDirectiveList.cpp:179: if (m_requireSRIFor == 0) On 2016/06/20 08:11:37, Mike West ...
11 months ago (2016-06-21 06:34:51 UTC) #18
Sergey Shekyan
There are couple of questions: - when requesting styles, `allowRequest()` receives empty integrityMetadataSet. Is loading ...
11 months ago (2016-06-21 06:48:17 UTC) #19
commit-bot: I haz the power
Dry run: CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/2056183002/40001
11 months ago (2016-06-21 07:15:39 UTC) #21
Mike West
On 2016/06/21 at 06:48:17, shekyan wrote: > There are couple of questions: > - when ...
11 months ago (2016-06-21 07:29:37 UTC) #22
commit-bot: I haz the power
Dry run: Try jobs failed on following builders: win_chromium_rel_ng on tryserver.chromium.win (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.win/builders/win_chromium_rel_ng/builds/242272)
11 months ago (2016-06-21 08:45:44 UTC) #24
Sergey Shekyan
- Do I need to enable experimental flag somewhere to have LayoutTests by trybot pass? ...
11 months ago (2016-06-22 06:25:14 UTC) #25
Mike West
On 2016/06/22 at 06:25:14, shekyan wrote: > - Do I need to enable experimental flag ...
11 months ago (2016-06-24 09:25:07 UTC) #26
commit-bot: I haz the power
Dry run: CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/2056183002/100001
11 months ago (2016-06-24 09:25:25 UTC) #28
commit-bot: I haz the power
Dry run: Try jobs failed on following builders: linux_chromium_rel_ng on tryserver.chromium.linux (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.linux/builders/linux_chromium_rel_ng/builds/251957)
11 months ago (2016-06-24 10:46:52 UTC) #30
Sergey Shekyan
On 2016/06/24 09:25:07, Mike West wrote: > On 2016/06/22 at 06:25:14, shekyan wrote: > > ...
11 months ago (2016-06-24 15:46:45 UTC) #31
Mike West
On 2016/06/24 at 15:46:45, shekyan wrote: > My tests fail with: > Regressions: Unexpected missing ...
11 months ago (2016-06-24 17:50:49 UTC) #32
Sergey Shekyan
On 2016/06/24 17:50:49, Mike West wrote: > On 2016/06/24 at 15:46:45, shekyan wrote: > > ...
10 months, 4 weeks ago (2016-06-27 08:13:39 UTC) #33
commit-bot: I haz the power
Dry run: CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2056183002/120001
10 months, 4 weeks ago (2016-06-28 05:35:12 UTC) #35
commit-bot: I haz the power
Dry run: Try jobs failed on following builders: win_chromium_rel_ng on master.tryserver.chromium.win (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.win/builders/win_chromium_rel_ng/builds/246470)
10 months, 4 weeks ago (2016-06-28 06:54:22 UTC) #37
Sergey Shekyan
On 2016/06/28 06:54:22, commit-bot: I haz the power wrote: > Dry run: Try jobs failed ...
10 months, 4 weeks ago (2016-06-28 07:36:14 UTC) #38
Sergey Shekyan
Can you please try to build this?
10 months, 3 weeks ago (2016-06-30 04:09:55 UTC) #39
commit-bot: I haz the power
Dry run: CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2056183002/160001
10 months, 3 weeks ago (2016-06-30 04:53:52 UTC) #41
commit-bot: I haz the power
Dry run: No L-G-T-M from a valid reviewer yet. CQ run can only be started ...
10 months, 3 weeks ago (2016-06-30 04:53:55 UTC) #43
commit-bot: I haz the power
Dry run: CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2056183002/160001
10 months, 3 weeks ago (2016-07-04 08:52:28 UTC) #45
commit-bot: I haz the power
Dry run: Try jobs failed on following builders: linux_android_rel_ng on master.tryserver.chromium.android (JOB_FAILED, https://build.chromium.org/p/tryserver.chromium.android/builders/linux_android_rel_ng/builds/98082)
10 months, 3 weeks ago (2016-07-04 10:07:49 UTC) #47
Sergey Shekyan
On 2016/07/04 10:07:49, commit-bot: I haz the power wrote: > Dry run: Try jobs failed ...
10 months, 3 weeks ago (2016-07-04 22:38:03 UTC) #48
Sergey Shekyan
On 2016/07/04 22:38:03, shekyan wrote: > On 2016/07/04 10:07:49, commit-bot: I haz the power wrote: ...
10 months, 2 weeks ago (2016-07-06 04:59:48 UTC) #49
commit-bot: I haz the power
Dry run: CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2056183002/160001
10 months, 2 weeks ago (2016-07-06 06:26:29 UTC) #51
Mike West
LGTM with a nit. Thanks for taking so many passes at this. https://codereview.chromium.org/2056183002/diff/160001/third_party/WebKit/Source/core/workers/InProcessWorkerBase.cpp File third_party/WebKit/Source/core/workers/InProcessWorkerBase.cpp ...
10 months, 2 weeks ago (2016-07-06 06:32:16 UTC) #52
Sergey Shekyan
https://codereview.chromium.org/2056183002/diff/160001/third_party/WebKit/Source/core/workers/InProcessWorkerBase.cpp File third_party/WebKit/Source/core/workers/InProcessWorkerBase.cpp (right): https://codereview.chromium.org/2056183002/diff/160001/third_party/WebKit/Source/core/workers/InProcessWorkerBase.cpp#newcode49 third_party/WebKit/Source/core/workers/InProcessWorkerBase.cpp:49: KURL scriptURL = resolveURL(url, exceptionState, WebURLRequest::RequestContextUnspecified); On 2016/07/06 06:32:16, ...
10 months, 2 weeks ago (2016-07-06 07:16:58 UTC) #53
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2056183002/180001
10 months, 2 weeks ago (2016-07-06 07:18:18 UTC) #56
commit-bot: I haz the power
Try jobs failed on following builders: win_chromium_rel_ng on master.tryserver.chromium.win (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.win/builders/win_chromium_rel_ng/builds/250547)
10 months, 2 weeks ago (2016-07-06 08:50:19 UTC) #58
Mike West
Before landing, please update the CL description to reflect what you've actually done in this ...
10 months, 2 weeks ago (2016-07-06 10:31:47 UTC) #59
Sergey Shekyan
On 2016/07/06 10:31:47, Mike West wrote: > Before landing, please update the CL description to ...
10 months, 2 weeks ago (2016-07-06 17:01:22 UTC) #61
commit-bot: I haz the power
Dry run: CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2056183002/220001
10 months, 2 weeks ago (2016-07-07 06:41:10 UTC) #67
commit-bot: I haz the power
Dry run: Try jobs failed on following builders: win_chromium_rel_ng on master.tryserver.chromium.win (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.win/builders/win_chromium_rel_ng/builds/251330)
10 months, 2 weeks ago (2016-07-07 09:41:15 UTC) #69
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2056183002/220001
10 months, 2 weeks ago (2016-07-07 15:36:34 UTC) #72
commit-bot: I haz the power
Try jobs failed on following builders: win_chromium_rel_ng on master.tryserver.chromium.win (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.win/builders/win_chromium_rel_ng/builds/251518)
10 months, 2 weeks ago (2016-07-07 18:33:13 UTC) #74
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2056183002/220001
10 months, 2 weeks ago (2016-07-07 19:50:32 UTC) #76
commit-bot: I haz the power
Try jobs failed on following builders: win_chromium_rel_ng on master.tryserver.chromium.win (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.win/builders/win_chromium_rel_ng/builds/251685)
10 months, 2 weeks ago (2016-07-07 21:48:10 UTC) #78
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2056183002/220001
10 months, 2 weeks ago (2016-07-08 00:08:17 UTC) #80
commit-bot: I haz the power
Try jobs failed on following builders: win_chromium_rel_ng on master.tryserver.chromium.win (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.win/builders/win_chromium_rel_ng/builds/251880)
10 months, 2 weeks ago (2016-07-08 01:46:10 UTC) #82
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2056183002/220001
10 months, 2 weeks ago (2016-07-08 03:54:21 UTC) #84
Mike West
On 2016/07/08 at 03:54:21, commit-bot wrote: > CQ is trying da patch. Follow status at ...
10 months, 2 weeks ago (2016-07-08 04:42:26 UTC) #85
Sergey Shekyan
On 2016/07/08 04:42:26, Mike West wrote: > On 2016/07/08 at 03:54:21, commit-bot wrote: > > ...
10 months, 2 weeks ago (2016-07-08 04:52:44 UTC) #86
commit-bot: I haz the power
Try jobs failed on following builders: win_chromium_rel_ng on master.tryserver.chromium.win (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.win/builders/win_chromium_rel_ng/builds/251967)
10 months, 2 weeks ago (2016-07-08 06:09:16 UTC) #88
Sergey Shekyan
Any luck on Windows?
10 months, 1 week ago (2016-07-13 05:53:11 UTC) #89
Mike West
On 2016/07/13 at 05:53:11, shekyan wrote: > Any luck on Windows? Nope, sorry. I haven't ...
10 months, 1 week ago (2016-07-13 07:14:54 UTC) #90
Sergey Shekyan
On 2016/07/13 07:14:54, Mike West wrote: > On 2016/07/13 at 05:53:11, shekyan wrote: > > ...
10 months, 1 week ago (2016-07-13 22:59:09 UTC) #92
Sergey Shekyan
Dry run passed. I'll commit after you say so:)
10 months, 1 week ago (2016-07-14 00:41:33 UTC) #96
Mike West
On 2016/07/14 at 00:41:33, shekyan wrote: > Dry run passed. I'll commit after you say ...
10 months, 1 week ago (2016-07-14 05:25:07 UTC) #97
Sergey Shekyan
Updated the CL description and addressed nits. https://codereview.chromium.org/2056183002/diff/260001/third_party/WebKit/LayoutTests/http/tests/security/contentSecurityPolicy/require-sri-for/require-sri-for-script-reportonly-blocked.php File third_party/WebKit/LayoutTests/http/tests/security/contentSecurityPolicy/require-sri-for/require-sri-for-script-reportonly-blocked.php (right): https://codereview.chromium.org/2056183002/diff/260001/third_party/WebKit/LayoutTests/http/tests/security/contentSecurityPolicy/require-sri-for/require-sri-for-script-reportonly-blocked.php#newcode4 third_party/WebKit/LayoutTests/http/tests/security/contentSecurityPolicy/require-sri-for/require-sri-for-script-reportonly-blocked.php:4: ?> --> ...
10 months, 1 week ago (2016-07-14 06:52:39 UTC) #99
Mike West
https://codereview.chromium.org/2056183002/diff/280001/third_party/WebKit/LayoutTests/http/tests/security/contentSecurityPolicy/require-sri-for/require-sri-for-script-reportonly-blocked.php File third_party/WebKit/LayoutTests/http/tests/security/contentSecurityPolicy/require-sri-for/require-sri-for-script-reportonly-blocked.php (right): https://codereview.chromium.org/2056183002/diff/280001/third_party/WebKit/LayoutTests/http/tests/security/contentSecurityPolicy/require-sri-for/require-sri-for-script-reportonly-blocked.php#newcode4 third_party/WebKit/LayoutTests/http/tests/security/contentSecurityPolicy/require-sri-for/require-sri-for-script-reportonly-blocked.php:4: ?> --> Drop the `<!--/-->`. https://codereview.chromium.org/2056183002/diff/280001/third_party/WebKit/LayoutTests/http/tests/security/contentSecurityPolicy/require-sri-for/require-sri-for-script-reportonly-blocked.php#newcode17 third_party/WebKit/LayoutTests/http/tests/security/contentSecurityPolicy/require-sri-for/require-sri-for-script-reportonly-blocked.php:17: }, "Script ...
10 months, 1 week ago (2016-07-14 07:29:50 UTC) #100
Sergey Shekyan
https://codereview.chromium.org/2056183002/diff/280001/third_party/WebKit/LayoutTests/http/tests/security/contentSecurityPolicy/require-sri-for/require-sri-for-script-reportonly-blocked.php File third_party/WebKit/LayoutTests/http/tests/security/contentSecurityPolicy/require-sri-for/require-sri-for-script-reportonly-blocked.php (right): https://codereview.chromium.org/2056183002/diff/280001/third_party/WebKit/LayoutTests/http/tests/security/contentSecurityPolicy/require-sri-for/require-sri-for-script-reportonly-blocked.php#newcode17 third_party/WebKit/LayoutTests/http/tests/security/contentSecurityPolicy/require-sri-for/require-sri-for-script-reportonly-blocked.php:17: }, "Script without integrity generates reports."); On 2016/07/14 07:29:49, ...
10 months, 1 week ago (2016-07-14 08:01:33 UTC) #102
Mike West
On 2016/07/14 at 08:01:33, shekyan wrote: > https://codereview.chromium.org/2056183002/diff/280001/third_party/WebKit/LayoutTests/http/tests/security/contentSecurityPolicy/require-sri-for/require-sri-for-script-reportonly-blocked.php > File third_party/WebKit/LayoutTests/http/tests/security/contentSecurityPolicy/require-sri-for/require-sri-for-script-reportonly-blocked.php (right): > > https://codereview.chromium.org/2056183002/diff/280001/third_party/WebKit/LayoutTests/http/tests/security/contentSecurityPolicy/require-sri-for/require-sri-for-script-reportonly-blocked.php#newcode17 ...
10 months, 1 week ago (2016-07-14 08:46:38 UTC) #105
Sergey Shekyan
On 2016/07/14 08:46:38, Mike West wrote: > On 2016/07/14 at 08:01:33, shekyan wrote: > > ...
10 months, 1 week ago (2016-07-14 17:35:30 UTC) #108
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2056183002/310001
10 months, 1 week ago (2016-07-14 17:35:51 UTC) #111
commit-bot: I haz the power
Committed patchset #17 (id:310001)
10 months, 1 week ago (2016-07-14 19:10:50 UTC) #112
commit-bot: I haz the power
CQ bit was unchecked.
10 months, 1 week ago (2016-07-14 19:11:14 UTC) #113
commit-bot: I haz the power
10 months, 1 week ago (2016-07-14 19:12:49 UTC) #115
Message was sent while issue was closed.
Patchset 17 (id:??) landed as
https://crrev.com/615df311feca979548acd4f73ce3d7ac34449e3a
Cr-Commit-Position: refs/heads/master@{#405530}
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld 650457f06